import { makeStyles } from '@material-ui/core'
import { useState,useEffect } from 'react';
import { useSelector } from 'react-redux';
import ToolBar from './ToolBar'
import EditList from './EditList'
import Delete from './Delete'
import { getContacts } from '../../../../../../redux/contacts/selector'
import { getChat } from '../../../../../../redux/chat/selector'


const useStyles = makeStyles({
    containerAbsolute: {
        position: 'absolute',
        top: 58,
        width: 506,
        maxHeight: '905px',
        minHeight: '905px',
        overflow: 'hidden',
        backgroundColor:'#f3f2f2'
    }
})

const EditBar= () => {
  const classes = useStyles()
  const contacts = useSelector(getContacts)
  const chat = useSelector(getChat)
  const [isContact, setIsContact] = useState<any>(false)
  
  useEffect(() => {
    const contact = contacts.find((el) => el.number === chat.number)
    contact && setIsContact(contact)
  }, [contacts, chat.number])  

    return (
    <div>
      <ToolBar />
      <div className={classes.containerAbsolute}>
        <EditList chat={chat} isContact={isContact}/>
        <Delete id={chat._id}/>
      </div>
   </div>
  )
}

export default EditBar